$(document).ready(function () {
//    Functions To Initiate//
$("body").on("click", ".clickable-row", clickRow);

    $('#example1').dataTable();
    $('.tooltip-bottom').tooltip();
    $(".focusfield").focus();
    $('.select2').select2();
    $('.mainpart').select2();
    $('.detailpart').select2();
    $('.fetchpart').select2();
    
    function clickRow() {
        window.open($(this).data("href"), $(this).data("target"));
        // window.document.location = $(this).data("href");
    }
//    jQuery(document).ready(function($) {
//    $(".clickable-row").click(function() {
//        window.document.location = $(this).data("href");
//    });
//});
});